Bug 41006 - print/transfig doesn't compile on current
Summary: print/transfig doesn't compile on current
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: chuckr
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-26 10:40 UTC by Maxim Maximov
Modified: 2002-08-15 21:11 UTC (History)
0 users

See Also:


Attachments
file.diff (295 bytes, patch)
2002-07-26 10:40 UTC, Maxim Maximov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Maximov 2002-07-26 10:40:01 UTC
        cd /usr/ports/print/transfig
        make build
        ...
        making all in ./fig2dev...
        cd dev; make DEFINES="-DUSE_PNG -DUSE_JPEG -DUSE_XPM -I/usr/X11R6/include/X11 -I/include -DNFSS              -DLATEX2E_GRAPHICS   -DDVIPS -DI18N -DFIG2DEV_LIBDIR=\\\"/usr/X11R6/lib/X11/fig2dev\\\" -DBITMAPDIR=\\\"/usr/X11R6/lib/X11/xfig/bitmaps\\\"" libtransfig.a
        cc -O -pipe -march=pentiumpro     -I.. -I../..  -I/usr/X11R6/include    -DCSRG_BASED  -DFUNCPROTO=15 -DNARROWPROTO   -DUSE_PNG -DUSE_JPEG -DUSE_XPM -I/usr/X11R6/include/X11 -I/include -DNFSS            -DLATEX2E_GRAPHICS   -DDVIPS -DI18N -DFIG2DEV_LIBDIR=\"/usr/X11R6/lib/X11/fig2dev\" -DBITMAPDIR=\"/usr/X11R6/lib/X11/xfig/bitmaps\"  -c genbox.c
        In file included from genbox.c:22:
        ../fig2dev.h:190: conflicting types for `sys_nerr'
        /usr/include/stdio.h:338: previous declaration of `sys_nerr'
        *** Error code 1

        Stop in /var/tmp/usr/ports/print/transfig/work/transfig.3.2.3d/fig2dev/dev.
        *** Error code 1

        Stop in /var/tmp/usr/ports/print/transfig/work/transfig.3.2.3d/fig2dev.
        *** Error code 1

        Stop in /var/tmp/usr/ports/print/transfig/work/transfig.3.2.3d.
        Exit 1

How-To-Repeat:         See description.
Comment 1 Tetsurou Okazaki freebsd_committer 2002-08-03 22:49:06 UTC
Responsible Changed
From-To: freebsd-ports->chuckr

over to MAINTAINER
Comment 2 Christian Weisgerber freebsd_committer 2002-08-15 21:10:57 UTC
State Changed
From-To: open->closed

I ran into this as well.  Committed, thanks!